#ifndef __WAT120N_H
#define __WAT120N_H

#define WAT120N_VERSION "1.0"
#define WAT120N_TIME_MAKE " (" __DATE__ " " __TIME__ ")"

extern int errno;

/* IP:PORT RS232<->Ethernet convertor (9600, 8N1, DTR ON = freeze) */
#define DEFAULT_IP   "147.231.104.68"
#define DEFAULT_PORT 2000

#define DEFAULT_EXPOSURE 11  /* 6 - 15  (1 - 256)          */
#define DEFAULT_GAIN     200 /* 1 - 255 (low - hight)      */
#define DEFAULT_GAMMA    1   /* 0 - off, 1 - low, 2 - high */

#define COMMAND_MAX 15
#define BUFFER_MAX  127
#define IP_MAX      15

typedef struct {
  char ip[IP_MAX+1];
  int port;
  int sockfd;
  struct sockaddr_in sockaddr;
  int error;
  int connect;
  int timeout;
  int debug;
  unsigned char exposure;
  unsigned char gain;
  unsigned char gamma;
  unsigned char iris;
  unsigned char freeze;
  unsigned char default_exposure;
  unsigned char default_gain;
  unsigned char default_gamma;
} WAT120N_T;

const char *wat120n_exposure[] = {
  "OFF",
  "1",
  "2",
  "4",
  "8",
  "16",
  "32",
  "64",
  "128",
  "256",
};

#endif
